function [X1,Y2]=vect(T,n)

disp('This is a subroutine of the main routine invnumrange_algorithmB.m');
disp('This routine make the computation of two 1xn orthogonal vectors');
disp('We use the eigenvectors associated to the largest and the smaller');
disp('eigenvalue and the we use the orthogonalization process of Gram-Schmidt');

disp('Programmers:')
disp('Ana Nata (Polytechnic Institute of Tomar, Portugal)')
disp('e-mail: anata@ipt.pt')
disp('J.P. da Providncia (University of Beira Interior, Covilh, Portugal)') 
disp('e-mail: joaodaprovidencia@daad-alumni.de')
disp('Based on a joint work with Natlia Bebiano and J. da Providncia')
disp('University of Coimbra, Portugal')
disp(' ');
disp('December 2013')
disp(' ');

%%
[U,D]=eig(T);
    if ~isequal(diag(D),sort(diag(D)))
        X1=U(:,n); %eigenvector associated to the largest eigenvalue
        Y1=U(:,1); %eigenvector associated to the smaller eigenvalue
    else
        [s,w]=sort(real(diag(D)));
        X1=U(:,w(n)); %eigenvector associated to the largest eigenvalue
        Y1=U(:,w(1)); %eigenvector associated to the smaller eigenvalue
    end

%Gram-Schmidt's orthogonalization process
X1linha=X1';
Y2=Y1-(X1linha*Y1)*X1/(X1linha*X1);



